Package org.jfree.layouting.layouter.context

## Interface DocumentContext

- All Superinterfaces:
    `DocumentMetaNode`
  All Known Implementing Classes:
    `DefaultDocumentContext`

      public interface DocumentContext
      extends DocumentMetaNode

  The document context holds general document-wide data. It does not hold any data, that is expected to change, the document context is meant to be as stateless as possible (after the context has been set up, of course).
  Author:
    Thomas Morgner

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `BASE_RESOURCE_ATTR` |
    `static java.lang.String` | `DATE_ATTR` |
    `static java.lang.String` | `INITIAL_STYLE` |
    `static java.lang.String` | `LOCALIZATION_ATTR` |
    `static java.lang.String` | `RESOURCE_MANAGER_ATTR` |
    `static java.lang.String` | `STRICT_STYLE_MODE` |
    `static java.lang.String` | `STYLE_MATCHER_ATTR` |
    `static java.lang.String` | `STYLE_RESOLVER_ATTR` |
    `static java.lang.String` | `TITLE_ATTR` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addMetaNode​(DocumentMetaNode node)` |
    `CSSValue` | `getCounterPolicy​(java.lang.String name)` | Returns the counter policy for this counter.
    `CounterStyle` | `getCounterStyle​(java.lang.String counterName)` | Looks up a global counter style.
    `DocumentMetaNode` | `getMetaNode​(int index)` |
    `int` | `getMetaNodeCount​()` |
    `NamespaceCollection` | `getNamespaces​()` | The namespace collection is not available until initialize() has been called by the input-feed.
    `org.pentaho.reporting.libraries.resourceloader.ResourceManager` | `getResourceManager​()` |
    `CSSValue` | `getStringPolicy​(java.lang.String name)` | Returns the string policy for this named string.
    `void` | `initialize​()` | This method is called once after the input-feed received all the document meta-data.
    `void` | `removeMetaNode​(DocumentMetaNode node)` |
    `void` | `setCounterPolicy​(java.lang.String name, CSSValue policy)` |
    `void` | `setCounterStyle​(java.lang.String counterName, CounterStyle style)` | Defines a global counter style.
    `void` | `setStringPolicy​(java.lang.String name, CSSValue policy)` |

    - ### Methods inherited from interface org.jfree.layouting.layouter.context.DocumentMetaNode

      `getMetaAttribute, setMetaAttribute`

- - ### Field Detail

    - #### BASE_RESOURCE_ATTR

          static final java.lang.String BASE_RESOURCE_ATTR

      See Also:
        Constant Field Values

    - #### DATE_ATTR

          static final java.lang.String DATE_ATTR

      See Also:
        Constant Field Values

    - #### LOCALIZATION_ATTR

          static final java.lang.String LOCALIZATION_ATTR

      See Also:
        Constant Field Values

    - #### RESOURCE_MANAGER_ATTR

          static final java.lang.String RESOURCE_MANAGER_ATTR

      See Also:
        Constant Field Values

    - #### STYLE_RESOLVER_ATTR

          static final java.lang.String STYLE_RESOLVER_ATTR

      See Also:
        Constant Field Values

    - #### STYLE_MATCHER_ATTR

          static final java.lang.String STYLE_MATCHER_ATTR

      See Also:
        Constant Field Values

    - #### TITLE_ATTR

          static final java.lang.String TITLE_ATTR

      See Also:
        Constant Field Values

    - #### STRICT_STYLE_MODE

          static final java.lang.String STRICT_STYLE_MODE

      See Also:
        Constant Field Values

    - #### INITIAL_STYLE

          static final java.lang.String INITIAL_STYLE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### initialize

          void initialize​()

      This method is called once after the input-feed received all the document meta-data.

    - #### addMetaNode

          void addMetaNode​(DocumentMetaNode node)

    - #### removeMetaNode

          void removeMetaNode​(DocumentMetaNode node)

    - #### getMetaNode

          DocumentMetaNode getMetaNode​(int index)

    - #### getMetaNodeCount

          int getMetaNodeCount​()

    - #### getNamespaces

          NamespaceCollection getNamespaces​()

      The namespace collection is not available until initialize() has been called by the input-feed.
      Returns:

    - #### setCounterStyle

          void setCounterStyle​(java.lang.String counterName,
                               CounterStyle style)

      Defines a global counter style. The style is stored by the counter's name, and if not defined in the counter-property, the counter style is looked up here. This offers a way to define a style for counters at one point, instead of having to copy the style definition for all counter instances.
      Parameters:
        `counterName` -
        `style` -

    - #### getCounterStyle

          CounterStyle getCounterStyle​(java.lang.String counterName)

      Looks up a global counter style. If not defined, this returns the default decimal style.
      Parameters:
        `counterName` - the name of the counter, for which we search the style.
      Returns:
        the defined style or the decimal style.

    - #### getStringPolicy

          CSSValue getStringPolicy​(java.lang.String name)

      Returns the string policy for this named string. The is either one of the defined PagePolicy constants or null, if no policy is defined, in which case always the current value is used.
      Parameters:
        `name` -
      Returns:

    - #### setStringPolicy

          void setStringPolicy​(java.lang.String name,
                               CSSValue policy)

    - #### getCounterPolicy

          CSSValue getCounterPolicy​(java.lang.String name)

      Returns the counter policy for this counter. The is either one of the defined PagePolicy constants or null, if no policy is defined, in which case always the current value is used.
      Parameters:
        `name` -
      Returns:

    - #### setCounterPolicy

          void setCounterPolicy​(java.lang.String name,
                                CSSValue policy)

    - #### getResourceManager

          org.pentaho.reporting.libraries.resourceloader.ResourceManager getResourceManager​()